org.apache.xalan.xsltc.trax

## Class XSLTCSource

- java.lang.Object
- - org.apache.xalan.xsltc.trax.XSLTCSource

All Implemented Interfaces:
  Source

    public final class XSLTCSource
    extends java.lang.Object
    implements Source

Author:
  Morten Jorgensen

### Constructor Summary

Constructors
Constructor and Description
`XSLTCSource(Source source)` Create a new XSLTC-specific source from a JAXP Source
`XSLTCSource(java.lang.String systemId)` Create a new XSLTC-specific source from a system ID

### Method Summary

Methods
`java.lang.String` `getSystemId()` Implements javax.xml.transform.Source.getSystemId() Get the system identifier that was set with setSystemId.
`void` `setSystemId(java.lang.String systemId)` Implements javax.xml.transform.Source.setSystemId() Set the system identifier for this Source.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSLTCSource

    public XSLTCSource(java.lang.String systemId)

Create a new XSLTC-specific source from a system ID

#### XSLTCSource

    public XSLTCSource(Source source)

Create a new XSLTC-specific source from a JAXP Source

### Method Detail

#### setSystemId

    public void setSystemId(java.lang.String systemId)

Implements javax.xml.transform.Source.setSystemId() Set the system identifier for this Source. This Source can get its input either directly from a file (in this case it will instanciate and use a JAXP parser) or it can receive it through ContentHandler/LexicalHandler interfaces.

Specified by:
  `setSystemId` in interface `Source`
Parameters:
  `systemId` - The system Id for this Source

#### getSystemId

    public java.lang.String getSystemId()

Implements javax.xml.transform.Source.getSystemId() Get the system identifier that was set with setSystemId.

Specified by:
  `getSystemId` in interface `Source`
Returns:
  The system identifier that was set with setSystemId, or null if setSystemId was not called.